org.apache.fop.render.intermediate

## Class AbstractXMLWritingIFDocumentHandler

- java.lang.Object
- - org.apache.fop.render.intermediate.AbstractIFDocumentHandler
  - - org.apache.fop.render.intermediate.AbstractXMLWritingIFDocumentHandler

All Implemented Interfaces:
  IFDocumentHandler

Direct Known Subclasses:
  IFSerializer

    public abstract class AbstractXMLWritingIFDocumentHandler
    extends AbstractIFDocumentHandler

Abstract base class for XML-writing `IFDocumentHandler` implementations.

### Field Summary

Fields
`protected GenerationHelperContentHandler` `handler` Main SAX ContentHandler to receive the generated SAX events.
`protected SAXTransformerFactory` `tFactory` Default SAXTransformerFactory that can be used by subclasses.

### Constructor Summary

Constructors
`protected` `AbstractXMLWritingIFDocumentHandler(IFContext context)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected ContentHandler` `createContentHandler(Result result)` Creates a ContentHandler for the given JAXP Result instance.
`protected abstract String` `getMainNamespace()` Returns the main namespace used for generated XML content.
`void` `setResult(Result result)` Sets the JAXP Result object to receive the generated content.

### Methods inherited from class org.apache.fop.render.intermediate.AbstractIFDocumentHandler

`endDocumentHeader, endDocumentTrailer, endPageHeader, endPageTrailer, getContext, getDocumentNavigationHandler, getStructureTreeEventHandler, getUserAgent, setDocumentLocale, startDocument, startDocumentHeader, startDocumentTrailer, startPageHeader, startPageTrailer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.fop.render.intermediate.IFDocumentHandler

`endDocument, endPage, endPageContent, endPageSequence, getConfigurator, getFontInfo, getMimeType, handleExtensionObject, setDefaultFontInfo, setFontInfo, startPage, startPageContent, startPageSequence, supportsPagesOutOfOrder`

### Field Detail

#### tFactory

    protected SAXTransformerFactory tFactory

Default SAXTransformerFactory that can be used by subclasses.

#### handler

    protected GenerationHelperContentHandler handler

Main SAX ContentHandler to receive the generated SAX events.

### Constructor Detail

#### AbstractXMLWritingIFDocumentHandler

    protected AbstractXMLWritingIFDocumentHandler(IFContext context)

### Method Detail

#### setResult

    public void setResult(Result result)
                   throws IFException

Sets the JAXP Result object to receive the generated content.

Parameters:
  `result` - the JAXP Result object to receive the generated content
Throws:
  `IFException` - if an error occurs setting up the output

#### getMainNamespace

    protected abstract String getMainNamespace()

Returns the main namespace used for generated XML content.

Returns:
  the main namespace

#### createContentHandler

    protected ContentHandler createContentHandler(Result result)
                                           throws IFException

Creates a ContentHandler for the given JAXP Result instance.

Parameters:
  `result` - the JAXP Result instance
Returns:
  the requested SAX ContentHandler
Throws:
  `IFException` - if an error occurs setting up the output